#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private B4Signals.B4Indicator[] cacheB4Indicator;

		
		public B4Signals.B4Indicator B4Indicator(bool showSocialLabels, bool showBullBearVerticalLines, bool bullBear_Include_FST, bool bullBear_Include_RSI_IFT, bool showDirectionCloud, bool showSqueezeCloud, bool colorBars, string version)
		{
			return B4Indicator(Input, showSocialLabels, showBullBearVerticalLines, bullBear_Include_FST, bullBear_Include_RSI_IFT, showDirectionCloud, showSqueezeCloud, colorBars, version);
		}


		
		public B4Signals.B4Indicator B4Indicator(ISeries<double> input, bool showSocialLabels, bool showBullBearVerticalLines, bool bullBear_Include_FST, bool bullBear_Include_RSI_IFT, bool showDirectionCloud, bool showSqueezeCloud, bool colorBars, string version)
		{
			if (cacheB4Indicator != null)
				for (int idx = 0; idx < cacheB4Indicator.Length; idx++)
					if (cacheB4Indicator[idx].ShowSocialLabels == showSocialLabels && cacheB4Indicator[idx].ShowBullBearVerticalLines == showBullBearVerticalLines && cacheB4Indicator[idx].BullBear_Include_FST == bullBear_Include_FST && cacheB4Indicator[idx].BullBear_Include_RSI_IFT == bullBear_Include_RSI_IFT && cacheB4Indicator[idx].ShowDirectionCloud == showDirectionCloud && cacheB4Indicator[idx].ShowSqueezeCloud == showSqueezeCloud && cacheB4Indicator[idx].ColorBars == colorBars && cacheB4Indicator[idx].Version == version && cacheB4Indicator[idx].EqualsInput(input))
						return cacheB4Indicator[idx];
			return CacheIndicator<B4Signals.B4Indicator>(new B4Signals.B4Indicator(){ ShowSocialLabels = showSocialLabels, ShowBullBearVerticalLines = showBullBearVerticalLines, BullBear_Include_FST = bullBear_Include_FST, BullBear_Include_RSI_IFT = bullBear_Include_RSI_IFT, ShowDirectionCloud = showDirectionCloud, ShowSqueezeCloud = showSqueezeCloud, ColorBars = colorBars, Version = version }, input, ref cacheB4Indicator);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.B4Signals.B4Indicator B4Indicator(bool showSocialLabels, bool showBullBearVerticalLines, bool bullBear_Include_FST, bool bullBear_Include_RSI_IFT, bool showDirectionCloud, bool showSqueezeCloud, bool colorBars, string version)
		{
			return indicator.B4Indicator(Input, showSocialLabels, showBullBearVerticalLines, bullBear_Include_FST, bullBear_Include_RSI_IFT, showDirectionCloud, showSqueezeCloud, colorBars, version);
		}


		
		public Indicators.B4Signals.B4Indicator B4Indicator(ISeries<double> input , bool showSocialLabels, bool showBullBearVerticalLines, bool bullBear_Include_FST, bool bullBear_Include_RSI_IFT, bool showDirectionCloud, bool showSqueezeCloud, bool colorBars, string version)
		{
			return indicator.B4Indicator(input, showSocialLabels, showBullBearVerticalLines, bullBear_Include_FST, bullBear_Include_RSI_IFT, showDirectionCloud, showSqueezeCloud, colorBars, version);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.B4Signals.B4Indicator B4Indicator(bool showSocialLabels, bool showBullBearVerticalLines, bool bullBear_Include_FST, bool bullBear_Include_RSI_IFT, bool showDirectionCloud, bool showSqueezeCloud, bool colorBars, string version)
		{
			return indicator.B4Indicator(Input, showSocialLabels, showBullBearVerticalLines, bullBear_Include_FST, bullBear_Include_RSI_IFT, showDirectionCloud, showSqueezeCloud, colorBars, version);
		}


		
		public Indicators.B4Signals.B4Indicator B4Indicator(ISeries<double> input , bool showSocialLabels, bool showBullBearVerticalLines, bool bullBear_Include_FST, bool bullBear_Include_RSI_IFT, bool showDirectionCloud, bool showSqueezeCloud, bool colorBars, string version)
		{
			return indicator.B4Indicator(input, showSocialLabels, showBullBearVerticalLines, bullBear_Include_FST, bullBear_Include_RSI_IFT, showDirectionCloud, showSqueezeCloud, colorBars, version);
		}

	}
}

#endregion
